Download it now!
Bug 59526 (libcdr-rectangle) - libcdr: Stretched rectangle fault import
Summary: libcdr: Stretched rectangle fault import
Status: NEW
Alias: libcdr-rectangle
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: x86 (IA32) Windows (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Format-Filters
  Show dependency treegraph
 
Reported: 2013-01-17 20:21 UTC by ralf.krapf
Modified: 2019-11-02 03:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Attachment as described (114.31 KB, application/zip)
2013-01-17 20:21 UTC, ralf.krapf
Details
Example1.cdr (10.52 KB, application/vnd.corel-draw)
2013-01-17 20:40 UTC, ralf.krapf
Details
Example1.odg (7.46 KB, application/vnd.oasis.opendocument.graphics)
2013-01-17 20:40 UTC, ralf.krapf
Details
Example1.png (106.40 KB, image/png)
2013-01-17 20:41 UTC, ralf.krapf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralf.krapf 2013-01-17 20:21:24 UTC
Created attachment 73198 [details]
Attachment as described

Hi

Reproduce the fault import:
Step 1:
- Make a rectangle in CorelDraw
Step 2:
- Strech it with the option "scale with image", so the rectangle will now get thick side lines
Step 3:
- Save the .cdr
Step 4:
- Open the .cdr in LibreOffice -> the rectangle now has all sides of equal thickness

System:
-Windows 7
-CorelDraw X5 15.2.0.686
-LibreOffice 4.0.0.1

Attachment:
- Picture of the failure
- Example1.cdr (original file)
- Example1.odt (imported file)

I like the libcdr very much! Great work Fridrich!

Thanks
Ralf
Comment 1 ralf.krapf 2013-01-17 20:40:28 UTC
Created attachment 73199 [details]
Example1.cdr
Comment 2 ralf.krapf 2013-01-17 20:40:52 UTC
Created attachment 73200 [details]
Example1.odg
Comment 3 ralf.krapf 2013-01-17 20:41:14 UTC
Created attachment 73201 [details]
Example1.png
Comment 4 Joel Madero 2013-01-21 23:03:01 UTC
Confirmed on Version 4.1.0.0.alpha0+ (Build ID: dc44862f0e711fe0cf93063f72ebe1dec598d92)

Marking as:
New (confirmed)
Minor (Can make high quality work for cdr imports substantially harder)
Low (cdr imports pretty rare, draw is probably are least used component - possibly 2nd least to database)


Thanks for reporting!
Comment 5 Alex Thurgood 2015-01-03 17:39:11 UTC
Adding self to CC if not already on
Comment 6 QA Administrators 2016-01-17 20:04:17 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 14:22:09 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-06-17 12:32:37 UTC
still repro in

Version: 6.1.0.0.beta2+ (x64)
Build ID: fe1a23b5c49c94410a604c8d4a6f50f43d575403
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-06-17_06:31:41
Locale: ru-RU (ru_RU); Calc: CL
Comment 9 QA Administrators 2019-11-02 03:45:14 UTC
Dear ralf.krapf,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug